Main Page Widgets Namespaces Book

# Gtk::IconFactory Class Reference

Inheritance diagram for Gtk::IconFactory:

[legend]
List of all members.

## Public Member Functions

virtual | ~IconFactory ()
GtkIconFactory* | gobj ()
| Provides access to the underlying C GObject.
const GtkIconFactory* | gobj () const
| Provides access to the underlying C GObject.
GtkIconFactory* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | add (const Gtk::StockID& stock_id, const IconSet& icon_set)
| Adds the given icon_set to the icon factory, under the name stock_id .
void | add_default ()
| Adds an icon factory to the list of icon factories searched by Gtk::Style::lookup_icon_set().
void | remove_default ()
| Removes an icon factory from the list of default icon factories.

## Static Public Member Functions

Glib::RefPtr<IconFactory> | create ()

## Protected Member Functions

| IconFactory ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::IconFactory> | wrap (GtkIconFactory* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::IconFactory::~IconFactory | ( |  | ) | `[virtual]`

Gtk::IconFactory::IconFactory | ( |  | ) | `[protected]`

## Member Function Documentation

void Gtk::IconFactory::add | ( | const Gtk::StockID& | stock_id,
|  | const IconSet& | icon_set
| ) |

Adds the given icon_set to the icon factory, under the name stock_id .

stock_id should be namespaced for your application, e.g. "myapp-whatever-icon". Normally applications create a Gtk::IconFactory, then add it to the list of default factories with add_default(). Then they pass the stock_id to widgets such as Gtk::Image to display the icon. Themes can provide an icon with the same name (such as "myapp-whatever-icon") to override your application's default icons. If an icon already existed in factory for stock_id , it is unreferenced and replaced with the new icon_set .

Parameters:

  | stock_id | Icon name.
  | icon_set | Icon set.

void Gtk::IconFactory::add_default | ( |  | ) |

| Adds an icon factory to the list of icon factories searched by Gtk::Style::lookup_icon_set(). This means that, for example, Gtk::Image::new_from_stock() will be able to find icons in factory . There will normally be an icon factory added for each library or application that comes with icons. The default icon factories can be overridden by themes.

Glib::RefPtr<IconFactory> Gtk::IconFactory::create | ( |  | ) | `[static]`

const GtkIconFactory* Gtk::IconFactory::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkIconFactory* Gtk::IconFactory::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkIconFactory* Gtk::IconFactory::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::IconFactory::remove_default | ( |  | ) |

| Removes an icon factory from the list of default icon factories. Not normally used; you might use it for a library that can be unloaded or shut down.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::IconFactory> wrap | ( | GtkIconFactory* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- iconfactory.h